Sha256: 3cd6e4654943eb75eff4cc8e26eba79d547f0d6a41463de618bb5db1d57445c9

Contents?: true

Size: 712 Bytes

Versions: 5

Compression:

Stored size: 712 Bytes

Contents

#!/usr/bin/env bash

set -e

cd "$(dirname "$0")/.."

if [ -f "Brewfile" ] && [ "$(uname -s)" = "Darwin" ]; then
  brew bundle check || {
    echo "==> Installing Homebrew dependencies..."
    brew bundle --verbose
  }
else
  echo "Skipping because bootstrap is currently macOS depentant."
  exit 1
fi

echo "==> Setting up python..."
if [ "$(which pyenv)" != "" ] && [ "$(which pipenv)" != "" ]; then
  brew bootstrap-pyenv-python
else
  echo "Skipping because pyenv/pipenv were not found."
  exit 1;
fi

echo "==> Setting up ruby..."
if [ "$(which rbenv)" != "" ] && [ "$(which ruby-build)" != "" ]; then
  brew bootstrap-rbenv-ruby
else
  echo "Skipping because rbenv/ruby-build were not found."
  exit 1;
fi

Version data entries

5 entries across 5 versions & 1 rubygems

Version Path
lamby-0.4.1 bin/bootstrap
lamby-0.4.0 bin/bootstrap
lamby-0.3.2 bin/bootstrap
lamby-0.3.1 bin/bootstrap
lamby-0.3.0 bin/bootstrap